Bug 243822 - Install process sets max graphical resolution
Install process sets max graphical resolution
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-12 02:35 EDT by jace carlson
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-27 10:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jace carlson 2007-06-12 02:35:17 EDT
Description of problem:
Anaconda sets maximum graphical resolution by default.  As this is the max
capability of the CARD, it can often exceed the max resolution of the MONITOR
attached to it.

Version-Release number of selected component (if applicable):

How reproducible:
Has occurred on every FC6 and F7 installation I have attempted on 3 different

Steps to Reproduce:
1. Install Fedora in graphical mode.
2. Hope your monitor matches or exceeds your graphics card, or else you get a
nice black screen at some point during the install process.
3. Restart in rescue mode and find the conf file with the relevant data, and
manually adjust the max resolution.
Actual results:
- P2/400 with 8mb nVidia card (system purchased in 1998), default resolution
comes up as 1600x1200, 32bit color, 75Hz.  Unbelievably, the monitor I purchased
with the system in 1998 happens to be able to display that resolution, so I was
able to verify exactly.

- P4/2.8gHz with 512mb nVidia card, default resolution comes up as 2500x1900 or
something, 32 bit color, 125Hz -- far exceeding any monitor I have.

Expected results:
Anyone heard of 1024x768?  Works great for most install processes, and then you
can adjust settings to what you desire after the process is complete.

Additional info:
You can get around this by forcing Anaconda to use a specific resolution, but
once it gets to the GNOME, etc. desktop, it reverts to max resolution again. 
You need to restart in rescue mode and locate the proper X11.conf file (I don't
remember filename offhand) and manually edit the section to force a lower max
Comment 1 Adam Jackson 2007-07-27 17:30:46 EDT
That's not even close to accurate.  Anaconda starts up at 800x600, and that's
the default setting for X if it can't determine what your monitor supports.

Please attach the X log from the misbehaving configuration, so we can see what's
actually going wrong.
Comment 2 Matěj Cepl 2007-08-27 09:12:05 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Matěj Cepl 2007-09-27 10:53:38 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional


Note You need to log in before you can comment on or make changes to this bug.